import { AxiosRequestConfig, AxiosResponse } from "axios";
declare module "*.vue" {
  import type { DefineComponent } from "vue";
  const component: DefineComponent<{}, {}, any>;
  export default component;
}

declare module "*.scss" {
  const scss: Record<string, string>;
  export default scss;
}
declare module "axios" {
  export interface AxiosRequestConfig {
    hideLoading?: boolean;
  }
  export interface AxiosResponse {
    code: string | number;
    data: any;
    msg?: string;
  }
}
